Skip to content

Seat Licenses

Manage seat licenses using the endpoints described below.

List seat license allocations

Operation path: GET /api/v2/seatLicenseAllocations/

Authentication requirements: BearerAuth

List seat license allocations. Org admins can view seat licenses that were allocated to their organization. System admins can view allocations across all organizations.

Parameters

Name In Type Required Description
offset query integer false The number of results to skip.
limit query integer false At most this many results are returned. The default may change without notice.
ids query any false List seat license allocations by the specified IDs.
orgId query string false The ID of the organization the seat licenses have been allocated to.
seatLicenseIds query any false List seat license allocations by the seat license IDs.
subjectIds query any false The subject IDs that should be part of the seat license allocations

Example responses

200 Response

{
  "properties": {
    "count": {
      "description": "The number of items returned on this page.",
      "type": "integer"
    },
    "data": {
      "description": "The queried seat license allocations.",
      "items": {
        "description": "The seat license allocation",
        "properties": {
          "createdAt": {
            "description": "The creation date of the seat license allocation.",
            "format": "date-time",
            "type": "string"
          },
          "currentAllocation": {
            "description": "The current number of seat license grants within the organization, corresponding to the number of subjects.",
            "type": [
              "integer",
              "null"
            ]
          },
          "id": {
            "description": "The ID of the seat license allocation.",
            "maxLength": 36,
            "minLength": 32,
            "type": "string"
          },
          "limit": {
            "description": "The total limit of seat license grants available for the organization.",
            "type": "integer"
          },
          "orgId": {
            "description": "The ID of the organization the seat license has been allocated to.",
            "type": "string"
          },
          "seatLicense": {
            "description": "The seat license",
            "properties": {
              "createdAt": {
                "description": "The creation date of the seat license.",
                "format": "date-time",
                "type": "string"
              },
              "currentAllocation": {
                "description": "The total number of seat license allocations; null if the limit is null (i.e., unlimited).",
                "type": [
                  "integer",
                  "null"
                ]
              },
              "description": {
                "description": "The description of the seat license.",
                "type": "string"
              },
              "id": {
                "description": "The ID of the seat license.",
                "maxLength": 36,
                "minLength": 32,
                "type": "string"
              },
              "limit": {
                "description": "The total limit seat licenses available in the cluster, null if unlimited",
                "type": [
                  "integer",
                  "null"
                ]
              },
              "name": {
                "description": "The name of the seat license.",
                "type": "string"
              }
            },
            "required": [
              "createdAt",
              "currentAllocation",
              "description",
              "id",
              "limit",
              "name"
            ],
            "type": "object",
            "x-versionadded": "v2.36"
          },
          "subjects": {
            "description": "The subjects that have been granted the seat license",
            "items": {
              "description": "The subject",
              "properties": {
                "createdAt": {
                  "description": "The date of the seat license allocation to the subject",
                  "format": "date-time",
                  "type": "string"
                },
                "subjectId": {
                  "description": "The subject ID.",
                  "type": "string"
                },
                "subjectType": {
                  "description": "The subject type.",
                  "enum": [
                    "user"
                  ],
                  "type": "string"
                }
              },
              "required": [
                "createdAt",
                "subjectId",
                "subjectType"
              ],
              "type": "object",
              "x-versionadded": "v2.36"
            },
            "maxItems": 1000,
            "type": "array"
          },
          "updatedAt": {
            "description": "The date when the seat license allocation was last updated.",
            "format": "date-time",
            "type": "string"
          }
        },
        "required": [
          "createdAt",
          "currentAllocation",
          "id",
          "limit",
          "orgId",
          "seatLicense",
          "subjects",
          "updatedAt"
        ],
        "type": "object",
        "x-versionadded": "v2.36"
      },
      "maxItems": 100,
      "type": "array"
    },
    "next": {
      "description": "The URL of the next page (if null, there is no next page).",
      "format": "uri",
      "type": [
        "string",
        "null"
      ]
    },
    "previous": {
      "description": "The URL of the previous page (if null, there is no previous page).",
      "format": "uri",
      "type": [
        "string",
        "null"
      ]
    },
    "totalCount": {
      "description": "The total number of items across all pages.",
      "type": "integer"
    }
  },
  "required": [
    "data",
    "next",
    "previous",
    "totalCount"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

Responses

Status Meaning Description Schema
200 OK The listed seat license allocations. SeatLicenseAllocationsListResponse

Allocate seat licenses

Operation path: POST /api/v2/seatLicenseAllocations/

Authentication requirements: BearerAuth

Allocate the seat license to the organization, given that the total number of allocated seats in the cluster, including the new organization's limit, does not exceed the cluster-level limit applied through the license key. Available to system admins only.

Body parameter

{
  "properties": {
    "limit": {
      "description": "The total number of seat license grants available for the organization.",
      "exclusiveMinimum": 0,
      "type": "integer"
    },
    "orgId": {
      "description": "The ID of the organization to allocate the seat license to.",
      "type": "string"
    },
    "seatLicenseId": {
      "description": "The ID of the seat license.",
      "maxLength": 36,
      "minLength": 32,
      "type": "string"
    },
    "subjects": {
      "description": "The subjects to grant the seat license to.",
      "items": {
        "description": "The subject",
        "properties": {
          "subjectId": {
            "description": "The subject ID.",
            "type": "string"
          },
          "subjectType": {
            "description": "The subject type.",
            "enum": [
              "user"
            ],
            "type": "string"
          }
        },
        "required": [
          "subjectId",
          "subjectType"
        ],
        "type": "object",
        "x-versionadded": "v2.36"
      },
      "maxItems": 1000,
      "type": "array"
    }
  },
  "required": [
    "limit",
    "orgId",
    "seatLicenseId"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

Parameters

Name In Type Required Description
body body SeatLicenseAllocationCreate false none

Example responses

201 Response

{
  "description": "The seat license allocation",
  "properties": {
    "createdAt": {
      "description": "The creation date of the seat license allocation.",
      "format": "date-time",
      "type": "string"
    },
    "currentAllocation": {
      "description": "The current number of seat license grants within the organization, corresponding to the number of subjects.",
      "type": [
        "integer",
        "null"
      ]
    },
    "id": {
      "description": "The ID of the seat license allocation.",
      "maxLength": 36,
      "minLength": 32,
      "type": "string"
    },
    "limit": {
      "description": "The total limit of seat license grants available for the organization.",
      "type": "integer"
    },
    "orgId": {
      "description": "The ID of the organization the seat license has been allocated to.",
      "type": "string"
    },
    "seatLicense": {
      "description": "The seat license",
      "properties": {
        "createdAt": {
          "description": "The creation date of the seat license.",
          "format": "date-time",
          "type": "string"
        },
        "currentAllocation": {
          "description": "The total number of seat license allocations; null if the limit is null (i.e., unlimited).",
          "type": [
            "integer",
            "null"
          ]
        },
        "description": {
          "description": "The description of the seat license.",
          "type": "string"
        },
        "id": {
          "description": "The ID of the seat license.",
          "maxLength": 36,
          "minLength": 32,
          "type": "string"
        },
        "limit": {
          "description": "The total limit seat licenses available in the cluster, null if unlimited",
          "type": [
            "integer",
            "null"
          ]
        },
        "name": {
          "description": "The name of the seat license.",
          "type": "string"
        }
      },
      "required": [
        "createdAt",
        "currentAllocation",
        "description",
        "id",
        "limit",
        "name"
      ],
      "type": "object",
      "x-versionadded": "v2.36"
    },
    "subjects": {
      "description": "The subjects that have been granted the seat license",
      "items": {
        "description": "The subject",
        "properties": {
          "createdAt": {
            "description": "The date of the seat license allocation to the subject",
            "format": "date-time",
            "type": "string"
          },
          "subjectId": {
            "description": "The subject ID.",
            "type": "string"
          },
          "subjectType": {
            "description": "The subject type.",
            "enum": [
              "user"
            ],
            "type": "string"
          }
        },
        "required": [
          "createdAt",
          "subjectId",
          "subjectType"
        ],
        "type": "object",
        "x-versionadded": "v2.36"
      },
      "maxItems": 1000,
      "type": "array"
    },
    "updatedAt": {
      "description": "The date when the seat license allocation was last updated.",
      "format": "date-time",
      "type": "string"
    }
  },
  "required": [
    "createdAt",
    "currentAllocation",
    "id",
    "limit",
    "orgId",
    "seatLicense",
    "subjects",
    "updatedAt"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

Responses

Status Meaning Description Schema
201 Created The allocated seat license for the organization. SeatLicenseAllocation

Evaluate the seat license

Operation path: POST /api/v2/seatLicenseAllocations/evaluate/

Authentication requirements: BearerAuth

Evaluate whether the subject has been authorized to use the seat license.

Body parameter

{
  "properties": {
    "orgId": {
      "description": "The ID of the organization the seat license was allocated to. Must correspond to the subject's organization.",
      "type": "string"
    },
    "seatName": {
      "description": "The name of the seat license.",
      "type": "string"
    },
    "subjectId": {
      "description": "The ID of the subject.",
      "type": "string"
    },
    "subjectType": {
      "description": "The type of the subject",
      "enum": [
        "user"
      ],
      "type": "string"
    }
  },
  "required": [
    "orgId",
    "seatName",
    "subjectId",
    "subjectType"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

Parameters

Name In Type Required Description
body body SeatLicenseEvaluateRequest false none

Example responses

200 Response

{
  "properties": {
    "allowed": {
      "description": "The result of the evaluation: true if the subject is allowed to use the seat license, false otherwise.",
      "type": "boolean"
    },
    "seatLicenseAllocation": {
      "description": "The seat license allocation",
      "properties": {
        "createdAt": {
          "description": "The creation date of the seat license allocation.",
          "format": "date-time",
          "type": "string"
        },
        "currentAllocation": {
          "description": "The current number of seat license grants within the organization, corresponding to the number of subjects.",
          "type": [
            "integer",
            "null"
          ]
        },
        "id": {
          "description": "The ID of the seat license allocation.",
          "maxLength": 36,
          "minLength": 32,
          "type": "string"
        },
        "limit": {
          "description": "The total limit of seat license grants available for the organization.",
          "type": "integer"
        },
        "orgId": {
          "description": "The ID of the organization the seat license has been allocated to.",
          "type": "string"
        },
        "seatLicense": {
          "description": "The seat license",
          "properties": {
            "createdAt": {
              "description": "The creation date of the seat license.",
              "format": "date-time",
              "type": "string"
            },
            "currentAllocation": {
              "description": "The total number of seat license allocations; null if the limit is null (i.e., unlimited).",
              "type": [
                "integer",
                "null"
              ]
            },
            "description": {
              "description": "The description of the seat license.",
              "type": "string"
            },
            "id": {
              "description": "The ID of the seat license.",
              "maxLength": 36,
              "minLength": 32,
              "type": "string"
            },
            "limit": {
              "description": "The total limit seat licenses available in the cluster, null if unlimited",
              "type": [
                "integer",
                "null"
              ]
            },
            "name": {
              "description": "The name of the seat license.",
              "type": "string"
            }
          },
          "required": [
            "createdAt",
            "currentAllocation",
            "description",
            "id",
            "limit",
            "name"
          ],
          "type": "object",
          "x-versionadded": "v2.36"
        },
        "subjects": {
          "description": "The subjects that have been granted the seat license",
          "items": {
            "description": "The subject",
            "properties": {
              "createdAt": {
                "description": "The date of the seat license allocation to the subject",
                "format": "date-time",
                "type": "string"
              },
              "subjectId": {
                "description": "The subject ID.",
                "type": "string"
              },
              "subjectType": {
                "description": "The subject type.",
                "enum": [
                  "user"
                ],
                "type": "string"
              }
            },
            "required": [
              "createdAt",
              "subjectId",
              "subjectType"
            ],
            "type": "object",
            "x-versionadded": "v2.36"
          },
          "maxItems": 1000,
          "type": "array"
        },
        "updatedAt": {
          "description": "The date when the seat license allocation was last updated.",
          "format": "date-time",
          "type": "string"
        }
      },
      "required": [
        "createdAt",
        "currentAllocation",
        "id",
        "limit",
        "orgId",
        "seatLicense",
        "subjects",
        "updatedAt"
      ],
      "type": "object",
      "x-versionadded": "v2.36"
    }
  },
  "required": [
    "allowed",
    "seatLicenseAllocation"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

Responses

Status Meaning Description Schema
200 OK The evaluation was performed successfully. SeatLicenseEvaluateResponse

Delete a seat license allocation by allocation ID

Operation path: DELETE /api/v2/seatLicenseAllocations/{allocationId}/

Authentication requirements: BearerAuth

Delete the seat license allocation. Only system admins can execute this operation.

Parameters

Name In Type Required Description
allocationId path string true The ID of the seat license allocation.

Responses

Status Meaning Description Schema
204 No Content The seat license allocation was successfully deleted. None

Retrieve a seat license allocation by allocation ID

Operation path: GET /api/v2/seatLicenseAllocations/{allocationId}/

Authentication requirements: BearerAuth

Retrieve an allocated seat license by ID. Org admins can view seat licenses that were allocated to their organization. System admins can view allocations across all organizations.

Parameters

Name In Type Required Description
allocationId path string true The ID of the seat license allocation.

Example responses

200 Response

{
  "description": "The seat license allocation",
  "properties": {
    "createdAt": {
      "description": "The creation date of the seat license allocation.",
      "format": "date-time",
      "type": "string"
    },
    "currentAllocation": {
      "description": "The current number of seat license grants within the organization, corresponding to the number of subjects.",
      "type": [
        "integer",
        "null"
      ]
    },
    "id": {
      "description": "The ID of the seat license allocation.",
      "maxLength": 36,
      "minLength": 32,
      "type": "string"
    },
    "limit": {
      "description": "The total limit of seat license grants available for the organization.",
      "type": "integer"
    },
    "orgId": {
      "description": "The ID of the organization the seat license has been allocated to.",
      "type": "string"
    },
    "seatLicense": {
      "description": "The seat license",
      "properties": {
        "createdAt": {
          "description": "The creation date of the seat license.",
          "format": "date-time",
          "type": "string"
        },
        "currentAllocation": {
          "description": "The total number of seat license allocations; null if the limit is null (i.e., unlimited).",
          "type": [
            "integer",
            "null"
          ]
        },
        "description": {
          "description": "The description of the seat license.",
          "type": "string"
        },
        "id": {
          "description": "The ID of the seat license.",
          "maxLength": 36,
          "minLength": 32,
          "type": "string"
        },
        "limit": {
          "description": "The total limit seat licenses available in the cluster, null if unlimited",
          "type": [
            "integer",
            "null"
          ]
        },
        "name": {
          "description": "The name of the seat license.",
          "type": "string"
        }
      },
      "required": [
        "createdAt",
        "currentAllocation",
        "description",
        "id",
        "limit",
        "name"
      ],
      "type": "object",
      "x-versionadded": "v2.36"
    },
    "subjects": {
      "description": "The subjects that have been granted the seat license",
      "items": {
        "description": "The subject",
        "properties": {
          "createdAt": {
            "description": "The date of the seat license allocation to the subject",
            "format": "date-time",
            "type": "string"
          },
          "subjectId": {
            "description": "The subject ID.",
            "type": "string"
          },
          "subjectType": {
            "description": "The subject type.",
            "enum": [
              "user"
            ],
            "type": "string"
          }
        },
        "required": [
          "createdAt",
          "subjectId",
          "subjectType"
        ],
        "type": "object",
        "x-versionadded": "v2.36"
      },
      "maxItems": 1000,
      "type": "array"
    },
    "updatedAt": {
      "description": "The date when the seat license allocation was last updated.",
      "format": "date-time",
      "type": "string"
    }
  },
  "required": [
    "createdAt",
    "currentAllocation",
    "id",
    "limit",
    "orgId",
    "seatLicense",
    "subjects",
    "updatedAt"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

Responses

Status Meaning Description Schema
200 OK The seat license allocation was successfully retrieved. SeatLicenseAllocation

Update a seat license allocation by allocation ID

Operation path: PATCH /api/v2/seatLicenseAllocations/{allocationId}/

Authentication requirements: BearerAuth

Update Seat License Allocation.

Body parameter

{
  "properties": {
    "addSubjects": {
      "description": "The subjects to grant the seat license to.",
      "items": {
        "description": "The subject",
        "properties": {
          "subjectId": {
            "description": "The subject ID.",
            "type": "string"
          },
          "subjectType": {
            "description": "The subject type.",
            "enum": [
              "user"
            ],
            "type": "string"
          }
        },
        "required": [
          "subjectId",
          "subjectType"
        ],
        "type": "object",
        "x-versionadded": "v2.36"
      },
      "maxItems": 100,
      "type": "array"
    },
    "limit": {
      "description": "The total number of seat license grants available for the organization.",
      "exclusiveMinimum": 0,
      "type": "integer"
    },
    "removeSubjects": {
      "description": "The subjects to remove the seat license from.",
      "items": {
        "description": "The subject",
        "properties": {
          "subjectId": {
            "description": "The subject ID.",
            "type": "string"
          },
          "subjectType": {
            "description": "The subject type.",
            "enum": [
              "user"
            ],
            "type": "string"
          }
        },
        "required": [
          "subjectId",
          "subjectType"
        ],
        "type": "object",
        "x-versionadded": "v2.36"
      },
      "maxItems": 100,
      "type": "array"
    }
  },
  "type": "object",
  "x-versionadded": "v2.36"
}

Parameters

Name In Type Required Description
allocationId path string true The ID of the seat license allocation.
body body SeatLicenseAllocationUpdate false none

Example responses

200 Response

{
  "description": "The seat license allocation",
  "properties": {
    "createdAt": {
      "description": "The creation date of the seat license allocation.",
      "format": "date-time",
      "type": "string"
    },
    "currentAllocation": {
      "description": "The current number of seat license grants within the organization, corresponding to the number of subjects.",
      "type": [
        "integer",
        "null"
      ]
    },
    "id": {
      "description": "The ID of the seat license allocation.",
      "maxLength": 36,
      "minLength": 32,
      "type": "string"
    },
    "limit": {
      "description": "The total limit of seat license grants available for the organization.",
      "type": "integer"
    },
    "orgId": {
      "description": "The ID of the organization the seat license has been allocated to.",
      "type": "string"
    },
    "seatLicense": {
      "description": "The seat license",
      "properties": {
        "createdAt": {
          "description": "The creation date of the seat license.",
          "format": "date-time",
          "type": "string"
        },
        "currentAllocation": {
          "description": "The total number of seat license allocations; null if the limit is null (i.e., unlimited).",
          "type": [
            "integer",
            "null"
          ]
        },
        "description": {
          "description": "The description of the seat license.",
          "type": "string"
        },
        "id": {
          "description": "The ID of the seat license.",
          "maxLength": 36,
          "minLength": 32,
          "type": "string"
        },
        "limit": {
          "description": "The total limit seat licenses available in the cluster, null if unlimited",
          "type": [
            "integer",
            "null"
          ]
        },
        "name": {
          "description": "The name of the seat license.",
          "type": "string"
        }
      },
      "required": [
        "createdAt",
        "currentAllocation",
        "description",
        "id",
        "limit",
        "name"
      ],
      "type": "object",
      "x-versionadded": "v2.36"
    },
    "subjects": {
      "description": "The subjects that have been granted the seat license",
      "items": {
        "description": "The subject",
        "properties": {
          "createdAt": {
            "description": "The date of the seat license allocation to the subject",
            "format": "date-time",
            "type": "string"
          },
          "subjectId": {
            "description": "The subject ID.",
            "type": "string"
          },
          "subjectType": {
            "description": "The subject type.",
            "enum": [
              "user"
            ],
            "type": "string"
          }
        },
        "required": [
          "createdAt",
          "subjectId",
          "subjectType"
        ],
        "type": "object",
        "x-versionadded": "v2.36"
      },
      "maxItems": 1000,
      "type": "array"
    },
    "updatedAt": {
      "description": "The date when the seat license allocation was last updated.",
      "format": "date-time",
      "type": "string"
    }
  },
  "required": [
    "createdAt",
    "currentAllocation",
    "id",
    "limit",
    "orgId",
    "seatLicense",
    "subjects",
    "updatedAt"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

Responses

Status Meaning Description Schema
200 OK The updated seat license allocation for the organization. SeatLicenseAllocation

List seat licenses

Operation path: GET /api/v2/seatLicenses/

Authentication requirements: BearerAuth

List seat licenses in the current installation. Seat licenses may become available only when applied through the cluster license. Accessible to system admins only.

Parameters

Name In Type Required Description
ids query any false List seat licenses by the specified IDs.
names query any false List seat licenses by the specified names.

Example responses

200 Response

{
  "properties": {
    "data": {
      "description": "The queried seat licenses.",
      "items": {
        "description": "The seat license",
        "properties": {
          "createdAt": {
            "description": "The creation date of the seat license.",
            "format": "date-time",
            "type": "string"
          },
          "currentAllocation": {
            "description": "The total number of seat license allocations; null if the limit is null (i.e., unlimited).",
            "type": [
              "integer",
              "null"
            ]
          },
          "description": {
            "description": "The description of the seat license.",
            "type": "string"
          },
          "id": {
            "description": "The ID of the seat license.",
            "maxLength": 36,
            "minLength": 32,
            "type": "string"
          },
          "limit": {
            "description": "The total limit seat licenses available in the cluster, null if unlimited",
            "type": [
              "integer",
              "null"
            ]
          },
          "name": {
            "description": "The name of the seat license.",
            "type": "string"
          }
        },
        "required": [
          "createdAt",
          "currentAllocation",
          "description",
          "id",
          "limit",
          "name"
        ],
        "type": "object",
        "x-versionadded": "v2.36"
      },
      "maxItems": 100,
      "type": "array"
    }
  },
  "required": [
    "data"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

Responses

Status Meaning Description Schema
200 OK The listed seat licenses. SeatLicensesListResponse

Schemas

SeatLicense

{
  "description": "The seat license",
  "properties": {
    "createdAt": {
      "description": "The creation date of the seat license.",
      "format": "date-time",
      "type": "string"
    },
    "currentAllocation": {
      "description": "The total number of seat license allocations; null if the limit is null (i.e., unlimited).",
      "type": [
        "integer",
        "null"
      ]
    },
    "description": {
      "description": "The description of the seat license.",
      "type": "string"
    },
    "id": {
      "description": "The ID of the seat license.",
      "maxLength": 36,
      "minLength": 32,
      "type": "string"
    },
    "limit": {
      "description": "The total limit seat licenses available in the cluster, null if unlimited",
      "type": [
        "integer",
        "null"
      ]
    },
    "name": {
      "description": "The name of the seat license.",
      "type": "string"
    }
  },
  "required": [
    "createdAt",
    "currentAllocation",
    "description",
    "id",
    "limit",
    "name"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

The seat license

Properties

Name Type Required Restrictions Description
createdAt string(date-time) true The creation date of the seat license.
currentAllocation integer,null true The total number of seat license allocations; null if the limit is null (i.e., unlimited).
description string true The description of the seat license.
id string true maxLength: 36
minLength: 32
minLength: 32
The ID of the seat license.
limit integer,null true The total limit seat licenses available in the cluster, null if unlimited
name string true The name of the seat license.

SeatLicenseAllocation

{
  "description": "The seat license allocation",
  "properties": {
    "createdAt": {
      "description": "The creation date of the seat license allocation.",
      "format": "date-time",
      "type": "string"
    },
    "currentAllocation": {
      "description": "The current number of seat license grants within the organization, corresponding to the number of subjects.",
      "type": [
        "integer",
        "null"
      ]
    },
    "id": {
      "description": "The ID of the seat license allocation.",
      "maxLength": 36,
      "minLength": 32,
      "type": "string"
    },
    "limit": {
      "description": "The total limit of seat license grants available for the organization.",
      "type": "integer"
    },
    "orgId": {
      "description": "The ID of the organization the seat license has been allocated to.",
      "type": "string"
    },
    "seatLicense": {
      "description": "The seat license",
      "properties": {
        "createdAt": {
          "description": "The creation date of the seat license.",
          "format": "date-time",
          "type": "string"
        },
        "currentAllocation": {
          "description": "The total number of seat license allocations; null if the limit is null (i.e., unlimited).",
          "type": [
            "integer",
            "null"
          ]
        },
        "description": {
          "description": "The description of the seat license.",
          "type": "string"
        },
        "id": {
          "description": "The ID of the seat license.",
          "maxLength": 36,
          "minLength": 32,
          "type": "string"
        },
        "limit": {
          "description": "The total limit seat licenses available in the cluster, null if unlimited",
          "type": [
            "integer",
            "null"
          ]
        },
        "name": {
          "description": "The name of the seat license.",
          "type": "string"
        }
      },
      "required": [
        "createdAt",
        "currentAllocation",
        "description",
        "id",
        "limit",
        "name"
      ],
      "type": "object",
      "x-versionadded": "v2.36"
    },
    "subjects": {
      "description": "The subjects that have been granted the seat license",
      "items": {
        "description": "The subject",
        "properties": {
          "createdAt": {
            "description": "The date of the seat license allocation to the subject",
            "format": "date-time",
            "type": "string"
          },
          "subjectId": {
            "description": "The subject ID.",
            "type": "string"
          },
          "subjectType": {
            "description": "The subject type.",
            "enum": [
              "user"
            ],
            "type": "string"
          }
        },
        "required": [
          "createdAt",
          "subjectId",
          "subjectType"
        ],
        "type": "object",
        "x-versionadded": "v2.36"
      },
      "maxItems": 1000,
      "type": "array"
    },
    "updatedAt": {
      "description": "The date when the seat license allocation was last updated.",
      "format": "date-time",
      "type": "string"
    }
  },
  "required": [
    "createdAt",
    "currentAllocation",
    "id",
    "limit",
    "orgId",
    "seatLicense",
    "subjects",
    "updatedAt"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

The seat license allocation

Properties

Name Type Required Restrictions Description
createdAt string(date-time) true The creation date of the seat license allocation.
currentAllocation integer,null true The current number of seat license grants within the organization, corresponding to the number of subjects.
id string true maxLength: 36
minLength: 32
minLength: 32
The ID of the seat license allocation.
limit integer true The total limit of seat license grants available for the organization.
orgId string true The ID of the organization the seat license has been allocated to.
seatLicense SeatLicense true The seat license
subjects [Subject] true maxItems: 1000
The subjects that have been granted the seat license
updatedAt string(date-time) true The date when the seat license allocation was last updated.

SeatLicenseAllocationCreate

{
  "properties": {
    "limit": {
      "description": "The total number of seat license grants available for the organization.",
      "exclusiveMinimum": 0,
      "type": "integer"
    },
    "orgId": {
      "description": "The ID of the organization to allocate the seat license to.",
      "type": "string"
    },
    "seatLicenseId": {
      "description": "The ID of the seat license.",
      "maxLength": 36,
      "minLength": 32,
      "type": "string"
    },
    "subjects": {
      "description": "The subjects to grant the seat license to.",
      "items": {
        "description": "The subject",
        "properties": {
          "subjectId": {
            "description": "The subject ID.",
            "type": "string"
          },
          "subjectType": {
            "description": "The subject type.",
            "enum": [
              "user"
            ],
            "type": "string"
          }
        },
        "required": [
          "subjectId",
          "subjectType"
        ],
        "type": "object",
        "x-versionadded": "v2.36"
      },
      "maxItems": 1000,
      "type": "array"
    }
  },
  "required": [
    "limit",
    "orgId",
    "seatLicenseId"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

Properties

Name Type Required Restrictions Description
limit integer true The total number of seat license grants available for the organization.
orgId string true The ID of the organization to allocate the seat license to.
seatLicenseId string true maxLength: 36
minLength: 32
minLength: 32
The ID of the seat license.
subjects [SubjectCreate] false maxItems: 1000
The subjects to grant the seat license to.

SeatLicenseAllocationUpdate

{
  "properties": {
    "addSubjects": {
      "description": "The subjects to grant the seat license to.",
      "items": {
        "description": "The subject",
        "properties": {
          "subjectId": {
            "description": "The subject ID.",
            "type": "string"
          },
          "subjectType": {
            "description": "The subject type.",
            "enum": [
              "user"
            ],
            "type": "string"
          }
        },
        "required": [
          "subjectId",
          "subjectType"
        ],
        "type": "object",
        "x-versionadded": "v2.36"
      },
      "maxItems": 100,
      "type": "array"
    },
    "limit": {
      "description": "The total number of seat license grants available for the organization.",
      "exclusiveMinimum": 0,
      "type": "integer"
    },
    "removeSubjects": {
      "description": "The subjects to remove the seat license from.",
      "items": {
        "description": "The subject",
        "properties": {
          "subjectId": {
            "description": "The subject ID.",
            "type": "string"
          },
          "subjectType": {
            "description": "The subject type.",
            "enum": [
              "user"
            ],
            "type": "string"
          }
        },
        "required": [
          "subjectId",
          "subjectType"
        ],
        "type": "object",
        "x-versionadded": "v2.36"
      },
      "maxItems": 100,
      "type": "array"
    }
  },
  "type": "object",
  "x-versionadded": "v2.36"
}

Properties

Name Type Required Restrictions Description
addSubjects [SubjectCreate] false maxItems: 100
The subjects to grant the seat license to.
limit integer false The total number of seat license grants available for the organization.
removeSubjects [SubjectCreate] false maxItems: 100
The subjects to remove the seat license from.

SeatLicenseAllocationsListResponse

{
  "properties": {
    "count": {
      "description": "The number of items returned on this page.",
      "type": "integer"
    },
    "data": {
      "description": "The queried seat license allocations.",
      "items": {
        "description": "The seat license allocation",
        "properties": {
          "createdAt": {
            "description": "The creation date of the seat license allocation.",
            "format": "date-time",
            "type": "string"
          },
          "currentAllocation": {
            "description": "The current number of seat license grants within the organization, corresponding to the number of subjects.",
            "type": [
              "integer",
              "null"
            ]
          },
          "id": {
            "description": "The ID of the seat license allocation.",
            "maxLength": 36,
            "minLength": 32,
            "type": "string"
          },
          "limit": {
            "description": "The total limit of seat license grants available for the organization.",
            "type": "integer"
          },
          "orgId": {
            "description": "The ID of the organization the seat license has been allocated to.",
            "type": "string"
          },
          "seatLicense": {
            "description": "The seat license",
            "properties": {
              "createdAt": {
                "description": "The creation date of the seat license.",
                "format": "date-time",
                "type": "string"
              },
              "currentAllocation": {
                "description": "The total number of seat license allocations; null if the limit is null (i.e., unlimited).",
                "type": [
                  "integer",
                  "null"
                ]
              },
              "description": {
                "description": "The description of the seat license.",
                "type": "string"
              },
              "id": {
                "description": "The ID of the seat license.",
                "maxLength": 36,
                "minLength": 32,
                "type": "string"
              },
              "limit": {
                "description": "The total limit seat licenses available in the cluster, null if unlimited",
                "type": [
                  "integer",
                  "null"
                ]
              },
              "name": {
                "description": "The name of the seat license.",
                "type": "string"
              }
            },
            "required": [
              "createdAt",
              "currentAllocation",
              "description",
              "id",
              "limit",
              "name"
            ],
            "type": "object",
            "x-versionadded": "v2.36"
          },
          "subjects": {
            "description": "The subjects that have been granted the seat license",
            "items": {
              "description": "The subject",
              "properties": {
                "createdAt": {
                  "description": "The date of the seat license allocation to the subject",
                  "format": "date-time",
                  "type": "string"
                },
                "subjectId": {
                  "description": "The subject ID.",
                  "type": "string"
                },
                "subjectType": {
                  "description": "The subject type.",
                  "enum": [
                    "user"
                  ],
                  "type": "string"
                }
              },
              "required": [
                "createdAt",
                "subjectId",
                "subjectType"
              ],
              "type": "object",
              "x-versionadded": "v2.36"
            },
            "maxItems": 1000,
            "type": "array"
          },
          "updatedAt": {
            "description": "The date when the seat license allocation was last updated.",
            "format": "date-time",
            "type": "string"
          }
        },
        "required": [
          "createdAt",
          "currentAllocation",
          "id",
          "limit",
          "orgId",
          "seatLicense",
          "subjects",
          "updatedAt"
        ],
        "type": "object",
        "x-versionadded": "v2.36"
      },
      "maxItems": 100,
      "type": "array"
    },
    "next": {
      "description": "The URL of the next page (if null, there is no next page).",
      "format": "uri",
      "type": [
        "string",
        "null"
      ]
    },
    "previous": {
      "description": "The URL of the previous page (if null, there is no previous page).",
      "format": "uri",
      "type": [
        "string",
        "null"
      ]
    },
    "totalCount": {
      "description": "The total number of items across all pages.",
      "type": "integer"
    }
  },
  "required": [
    "data",
    "next",
    "previous",
    "totalCount"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

Properties

Name Type Required Restrictions Description
count integer false The number of items returned on this page.
data [SeatLicenseAllocation] true maxItems: 100
The queried seat license allocations.
next string,null(uri) true The URL of the next page (if null, there is no next page).
previous string,null(uri) true The URL of the previous page (if null, there is no previous page).
totalCount integer true The total number of items across all pages.

SeatLicenseEvaluateRequest

{
  "properties": {
    "orgId": {
      "description": "The ID of the organization the seat license was allocated to. Must correspond to the subject's organization.",
      "type": "string"
    },
    "seatName": {
      "description": "The name of the seat license.",
      "type": "string"
    },
    "subjectId": {
      "description": "The ID of the subject.",
      "type": "string"
    },
    "subjectType": {
      "description": "The type of the subject",
      "enum": [
        "user"
      ],
      "type": "string"
    }
  },
  "required": [
    "orgId",
    "seatName",
    "subjectId",
    "subjectType"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

Properties

Name Type Required Restrictions Description
orgId string true The ID of the organization the seat license was allocated to. Must correspond to the subject's organization.
seatName string true The name of the seat license.
subjectId string true The ID of the subject.
subjectType string true The type of the subject

Enumerated Values

Property Value
subjectType user

SeatLicenseEvaluateResponse

{
  "properties": {
    "allowed": {
      "description": "The result of the evaluation: true if the subject is allowed to use the seat license, false otherwise.",
      "type": "boolean"
    },
    "seatLicenseAllocation": {
      "description": "The seat license allocation",
      "properties": {
        "createdAt": {
          "description": "The creation date of the seat license allocation.",
          "format": "date-time",
          "type": "string"
        },
        "currentAllocation": {
          "description": "The current number of seat license grants within the organization, corresponding to the number of subjects.",
          "type": [
            "integer",
            "null"
          ]
        },
        "id": {
          "description": "The ID of the seat license allocation.",
          "maxLength": 36,
          "minLength": 32,
          "type": "string"
        },
        "limit": {
          "description": "The total limit of seat license grants available for the organization.",
          "type": "integer"
        },
        "orgId": {
          "description": "The ID of the organization the seat license has been allocated to.",
          "type": "string"
        },
        "seatLicense": {
          "description": "The seat license",
          "properties": {
            "createdAt": {
              "description": "The creation date of the seat license.",
              "format": "date-time",
              "type": "string"
            },
            "currentAllocation": {
              "description": "The total number of seat license allocations; null if the limit is null (i.e., unlimited).",
              "type": [
                "integer",
                "null"
              ]
            },
            "description": {
              "description": "The description of the seat license.",
              "type": "string"
            },
            "id": {
              "description": "The ID of the seat license.",
              "maxLength": 36,
              "minLength": 32,
              "type": "string"
            },
            "limit": {
              "description": "The total limit seat licenses available in the cluster, null if unlimited",
              "type": [
                "integer",
                "null"
              ]
            },
            "name": {
              "description": "The name of the seat license.",
              "type": "string"
            }
          },
          "required": [
            "createdAt",
            "currentAllocation",
            "description",
            "id",
            "limit",
            "name"
          ],
          "type": "object",
          "x-versionadded": "v2.36"
        },
        "subjects": {
          "description": "The subjects that have been granted the seat license",
          "items": {
            "description": "The subject",
            "properties": {
              "createdAt": {
                "description": "The date of the seat license allocation to the subject",
                "format": "date-time",
                "type": "string"
              },
              "subjectId": {
                "description": "The subject ID.",
                "type": "string"
              },
              "subjectType": {
                "description": "The subject type.",
                "enum": [
                  "user"
                ],
                "type": "string"
              }
            },
            "required": [
              "createdAt",
              "subjectId",
              "subjectType"
            ],
            "type": "object",
            "x-versionadded": "v2.36"
          },
          "maxItems": 1000,
          "type": "array"
        },
        "updatedAt": {
          "description": "The date when the seat license allocation was last updated.",
          "format": "date-time",
          "type": "string"
        }
      },
      "required": [
        "createdAt",
        "currentAllocation",
        "id",
        "limit",
        "orgId",
        "seatLicense",
        "subjects",
        "updatedAt"
      ],
      "type": "object",
      "x-versionadded": "v2.36"
    }
  },
  "required": [
    "allowed",
    "seatLicenseAllocation"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

Properties

Name Type Required Restrictions Description
allowed boolean true The result of the evaluation: true if the subject is allowed to use the seat license, false otherwise.
seatLicenseAllocation SeatLicenseAllocation true The seat license allocation

SeatLicensesListResponse

{
  "properties": {
    "data": {
      "description": "The queried seat licenses.",
      "items": {
        "description": "The seat license",
        "properties": {
          "createdAt": {
            "description": "The creation date of the seat license.",
            "format": "date-time",
            "type": "string"
          },
          "currentAllocation": {
            "description": "The total number of seat license allocations; null if the limit is null (i.e., unlimited).",
            "type": [
              "integer",
              "null"
            ]
          },
          "description": {
            "description": "The description of the seat license.",
            "type": "string"
          },
          "id": {
            "description": "The ID of the seat license.",
            "maxLength": 36,
            "minLength": 32,
            "type": "string"
          },
          "limit": {
            "description": "The total limit seat licenses available in the cluster, null if unlimited",
            "type": [
              "integer",
              "null"
            ]
          },
          "name": {
            "description": "The name of the seat license.",
            "type": "string"
          }
        },
        "required": [
          "createdAt",
          "currentAllocation",
          "description",
          "id",
          "limit",
          "name"
        ],
        "type": "object",
        "x-versionadded": "v2.36"
      },
      "maxItems": 100,
      "type": "array"
    }
  },
  "required": [
    "data"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

Properties

Name Type Required Restrictions Description
data [SeatLicense] true maxItems: 100
The queried seat licenses.

Subject

{
  "description": "The subject",
  "properties": {
    "createdAt": {
      "description": "The date of the seat license allocation to the subject",
      "format": "date-time",
      "type": "string"
    },
    "subjectId": {
      "description": "The subject ID.",
      "type": "string"
    },
    "subjectType": {
      "description": "The subject type.",
      "enum": [
        "user"
      ],
      "type": "string"
    }
  },
  "required": [
    "createdAt",
    "subjectId",
    "subjectType"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

The subject

Properties

Name Type Required Restrictions Description
createdAt string(date-time) true The date of the seat license allocation to the subject
subjectId string true The subject ID.
subjectType string true The subject type.

Enumerated Values

Property Value
subjectType user

SubjectCreate

{
  "description": "The subject",
  "properties": {
    "subjectId": {
      "description": "The subject ID.",
      "type": "string"
    },
    "subjectType": {
      "description": "The subject type.",
      "enum": [
        "user"
      ],
      "type": "string"
    }
  },
  "required": [
    "subjectId",
    "subjectType"
  ],
  "type": "object",
  "x-versionadded": "v2.36"
}

The subject

Properties

Name Type Required Restrictions Description
subjectId string true The subject ID.
subjectType string true The subject type.

Enumerated Values

Property Value
subjectType user